summaryrefslogtreecommitdiffstats
path: root/jjb/3rd_party_ci/download-netvirt-artifact.sh
diff options
context:
space:
mode:
authorFatih Degirmenci <fatih.degirmenci@ericsson.com>2016-12-13 21:52:01 +0100
committerFatih Degirmenci <fatih.degirmenci@ericsson.com>2016-12-13 21:55:22 +0100
commite9e33d3cf0f6e9b555d633611645f41619a3d4e5 (patch)
tree72a3f9f9adc23b4b39ced3ac445242ed43e68c49 /jjb/3rd_party_ci/download-netvirt-artifact.sh
parent2f97d988e56c9712b5515e35da2e51e39120ef2a (diff)
3rd party ci: Wipe the workspace before doing anything else
Due to not cloning the repos, the workspace is not wiped out. This change makes sure we remove everything in workspace to prevent jenkins from complaining. Change-Id: Ife3c4c752cf37c6ff3bfcdea6ffaebc72c440373 Signed-off-by: Fatih Degirmenci <fatih.degirmenci@ericsson.com>
Diffstat (limited to 'jjb/3rd_party_ci/download-netvirt-artifact.sh')
-rwxr-xr-xjjb/3rd_party_ci/download-netvirt-artifact.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/jjb/3rd_party_ci/download-netvirt-artifact.sh b/jjb/3rd_party_ci/download-netvirt-artifact.sh
index 671a5fe7f..20d6cc5f0 100755
--- a/jjb/3rd_party_ci/download-netvirt-artifact.sh
+++ b/jjb/3rd_party_ci/download-netvirt-artifact.sh
@@ -1,4 +1,8 @@
#!/bin/bash
+set -e
+
+# wipe the WORKSPACE
+/bin/rm -rf $WORKSPACE
echo "Attempting to fetch the artifact location from ODL Jenkins"
CHANGE_DETAILS_URL="https://git.opendaylight.org/gerrit/changes/netvirt~master~$GERRIT_CHANGE_ID/detail"